Documentation Index Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Back to API List
To fetch feedback survey scores provided by users and push data for visualization on the Feedback Analytics module using the Survey Type and Survey Name.
Field Value Method POST Endpoint https://{{host}}/api/public/bot/{{BotID}}/saveFeedbackContent Type application/jsonAuthorization auth: {{JWT}} See How to generate the JWT Token .API Scope App Builder: Metrics; Admin Console: Bot Analytics > Feedback Analytics
Path Parameters
Parameter Type Description hoststring, required The environment URL. For example, https://platform.kore.ai. BotIdstring, required Bot ID or Stream ID. Access it under General Settings on the App Builder.
Sample Request
curl --location 'https://{{host}}/api/1.1/public/bot/{{botId}}/saveFeedback' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"channelUId":"qatesting@vomoto.com",
"name":"Thumb",
"score":0,
"channel":"rtm",
"type":"THUMB",
"language":"en",
"message":""
}'
Request Body Parameters
Parameter Type Description channelUIdstring, required The ID of the user on the channel (email or enterprise unique ID). namestring, required The name of the survey provided by the user. scorenumber, required The feedback survey score. channelstring, required The channel used for the feedback survey. typestring, required Feedback survey type: THUMB, NPS, or CSAT. languagestring, required The language in which the feedback survey is triggered. messagestring, required The message prompted to the user during the feedback survey.
Sample Response
{
"botId" : "st-053cd130-f983-577a-8aad-2504xxxxxxxx" ,
"channel" : "rtm" ,
"language" : "en" ,
"score" : 0 ,
"timestamp" : "2023-03-23T07:07:43.538Z" ,
"createdOn" : "2023-03-23T07:07:43.538Z" ,
"timestampValue" : 1679555263538 ,
"type" : "THUMB" ,
"name" : "Thumb" ,
"channelUId" : "qatesting@vomoto.com" ,
"orgId" : "o-89b0abd5-19af-5017-a80a-xxxxxxc7a6xx" ,
"accountId" : "60dbef1bc2f5c25106cdb57d" ,
"userId" : "u-f5d97fb8-8767-5b6c-a28d-xxxxxx281exx" ,
"_id" : "641bfabf0353f52d9xxxxxxx" ,
"__v" : 0
}
Response Body Parameters
Parameter Type Description botIdstring The ID of the AI Agent. channelstring The channel on which the user responded. languagestring The language of the feedback survey. scorenumber The feedback score. timestampdate Feedback response date in ISO format. createdOndate Feedback creation date in ISO format. timestampValuenumber Creation date as epoch timestamp. typestring The feedback survey type. namestring The feedback survey name. channelUIdstring The end-user’s channel user identifier. orgIdstring Organization ID the bot belongs to. accountIdstring Account ID the bot belongs to. userIdstring User ID. _idstring Unique identifier for the record.